summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:26 +0200
commit582038ec65f4aafcf4847ef8fe5a8c1b1198941b (patch)
tree03f7800981adf29f315c53e3629c1a51ac01e0c4 /development
parent8dad5197cd99e8b4b11782fd2e0b1e75d9ad73af (diff)
downloadslackbuilds-582038ec65f4aafcf4847ef8fe5a8c1b1198941b.tar.gz
slackbuilds-582038ec65f4aafcf4847ef8fe5a8c1b1198941b.tar.xz
development/kdiff3: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/kdiff3/README15
-rw-r--r--development/kdiff3/kdiff3.SlackBuild78
-rw-r--r--development/kdiff3/kdiff3.info8
-rw-r--r--development/kdiff3/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/development/kdiff3/README b/development/kdiff3/README
new file mode 100644
index 0000000000..f945d8dce9
--- /dev/null
+++ b/development/kdiff3/README
@@ -0,0 +1,15 @@
+KDiff3 is a program that
+ * compares or merges two or three text input files or directories,
+ * shows the differences line by line and character by character (!),
+ * provides an automatic merge-facility and
+ * an integrated editor for comfortable solving of merge-conflicts,
+ * supports Unicode, UTF-8 and other codecs, autodetection via
+ byte-order-mark "BOM"
+ * supports KIO on KDE (allows accessing ftp, sftp, fish, smb etc.),
+ * Printing of differences,
+ * Manual alignment of lines,
+ * Automatic merging of version control history ($Log$),
+ * and has an intuitive graphical user interface.
+ * Windows-Explorer integration Diff-Ext-for-KDiff3 - shell extension
+ included in installer (originally by Sergey Zorin: see also Diff Ext)
+ * Read what else is special in a short abstract (PDF).
diff --git a/development/kdiff3/kdiff3.SlackBuild b/development/kdiff3/kdiff3.SlackBuild
new file mode 100644
index 0000000000..81380de606
--- /dev/null
+++ b/development/kdiff3/kdiff3.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for: kdiff3
+# Written by (Michiel van Wessem <BP{k}>) (michiel@slackbuilds.org)
+
+# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=kdiff3
+VERSION=0.9.92
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix)
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/kdiff3/kdiff3.info b/development/kdiff3/kdiff3.info
new file mode 100644
index 0000000000..a2ce53af9e
--- /dev/null
+++ b/development/kdiff3/kdiff3.info
@@ -0,0 +1,8 @@
+PRGNAM="kdiff3"
+VERSION="0.9.92"
+HOMEPAGE="http://kdiff3.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/kdiff3/kdiff3-0.9.92.tar.gz"
+MD5SUM="c7b52bfee6a085393de0c4f83732e8f0"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/development/kdiff3/slack-desc b/development/kdiff3/slack-desc
new file mode 100644
index 0000000000..1f350f5bd3
--- /dev/null
+++ b/development/kdiff3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdiff3: kdiff3 (A compare and merge tool for KDE)
+kdiff3:
+kdiff3: KDiff3 is a file and directory diff and merge tool which compares and
+kdiff3: merges two or three text input files or directories, shows the
+kdiff3: differences line by line and character by character, provides an
+kdiff3: automatic merge-facility, has an editor for comfortable solving of
+kdiff3: merge-conflicts, provides network transparency via KIO, has options to
+kdiff3: highlight or hide changes in whitespace or comments, supports Unicode,
+kdiff3: UTF-8 and other file encodings, prints differences, supports version
+kdiff3: control keyword and history merging
+kdiff3: